Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.net.http
Class ContentLengthOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--weblogic.net.http.ContentLengthOutputStream

public class ContentLengthOutputStream
extends java.io.OutputStream

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ContentLengthOutputStream(java.io.OutputStream o, int contentLength)`

Method Summary
`void` | `close()`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int i)`

Methods inherited from class java.io.OutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentLengthOutputStream

    public ContentLengthOutputStream(java.io.OutputStream o,
                                     int contentLength)

Method Detail

### write

    public void write(int i)
               throws java.io.IOException

  Overrides:
    write in class java.io.OutputStream

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    write in class java.io.OutputStream

### write

    public void write(byte[] b)
               throws java.io.IOException

  Overrides:
    write in class java.io.OutputStream

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class java.io.OutputStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD